Get participant by ID
Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')
The workspace ID
b4e02c85-c6d2-4b15-8885-e09671799c61The conversation ID
67e4d358-ca94-421e-98b7-448860df9d33The ID that refers to the conversation participant (e.g. the contact ID if the participant is a contact)
274bd6ff-3295-49a0-a02d-651fb661d7fbOK
A participant who can send and receive messages in the conversation
Participant ID, the meaning of this field depends on type. If type is user then it's a user ID, if type is contact then it's a contact ID, if type is accessKey then it's the access key ID, and so on.
cb22b001-6226-4d7c-acdd-7414b2bcdbafThe participant's name.
John DoeAn URL to the participant's avatar.
https://example.bird.com/avatar-urlParticipant type. The main ones are user, contact, and agent. user is a user belonging to your Bird workspace, contact is one of your customers, agent is a customer service agent, and the remaining types represent system participants.
Participant status in the conversation. pending means it's pending approval, invited means it's pending acceptance from the participant, and active means the participant can send and receive messages.
activePossible values: The resource specified in the URL was not found
Examples
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/02ec2ac2-ebec-42d3-a5f4-e6f3a9edf418/participants/8f0b5377-2edc-4116-a8e8-6a475f245a04" \
-H "Authorization: AccessKey abcd"{
"id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
"type": "contact",
"status": "active",
"displayName": "John Doe",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "[email protected]",
"platformAddress": "[email protected]"
}
}Last updated
Was this helpful?

